API Reference
Undo a saved editor action at the expected revision.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/string/editor-commands/undo" \ -H "Content-Type: application/json" \ -d '{ "actionId": "string", "expectedRevision": 0 }'{ "projectId": "string", "revision": 0, "baseRevision": 0, "mutationReceiptId": "string", "replayed": true, "affectedTimelineItemIds": [ "string" ], "createdTimelineItemIds": [ "string" ], "deletedTimelineItemIds": [ "string" ], "warnings": [ "string" ], "result": { "property1": null, "property2": null }}Preview the effects of an editor command POST
Preview the effects of an editor command.
Create faceless production plan revision POST
Requires an active paid plan. Creates an immutable generated-only 9:16 production plan. This planning call does not generate character anchors, keyframes, or video clips. Cost note: This operation may consume AI credits and can take time to complete.